%define ghc_ver %(ghc --version | sed "s|.*version ||")
%define pkgname %(echo %name | sed "s|^ghc-||")
Name:          ghc-blaze-markup
Version:       0.5.1.5
Release:       1mamba
Summary:       Core modules of a blazingly fast markup combinator library for the Haskell programming language
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hackage.haskell.org/package/%{pkgname}
Source:        http://hackage.haskell.org/packages/archive/blaze-markup/%{version}/blaze-markup-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 ghc-blaze-markup' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: ghc
Requires:      ghc = %{ghc_ver}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Core modules of a blazingly fast markup combinator library for the Haskell programming language. The Text.Blaze module is a good starting point, as well as this tutorial: http://jaspervdj.be/blaze/tutorial.html.

%prep
%setup -q -n blaze-markup-%{version}

%build
runghc Setup.hs configure \
   --prefix=%{_prefix} --libdir=%{_libdir}

runghc Setup.hs build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
runghc Setup.hs copy --destdir=%{buildroot}
runghc Setup.hs register \
--gen-pkg-config="%{buildroot}%{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/%{pkgname}-%{version}.conf"

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
ghc-pkg register %{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/%{pkgname}-%{version}.conf &>/dev/null || true
:

%preun
ghc-pkg unregister %{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/%{pkgname}-%{version}.conf &>/dev/null || true
:

%files
%defattr(-,root,root)
%dir %{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}
%{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/*
%{_datadir}/doc/%{pkgname}-%{version}/LICENSE

%changelog
* Sun Sep 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1.5-1mamba
- package created by silvan using the webbuild interface
